> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List files



## OpenAPI

````yaml /openapi.yaml get /files
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /files:
    get:
      tags:
        - Files
      summary: List files
      parameters:
        - name: X-Range
          in: header
          required: true
          schema:
            type: string
            default: resources=0-9
          description: Pagination range (e.g. resources=0-9, resources=10-19)
        - name: id
          in: query
          schema:
            type: string
        - name: studio
          in: query
          schema:
            type: string
        - name: project
          in: query
          schema:
            type: string
        - name: asset
          in: query
          schema:
            type: string
        - name: workRequest
          in: query
          schema:
            type: string
        - name: field
          in: query
          schema:
            type: string
        - name: tags
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FilesResponse'
components:
  schemas:
    FilesResponse:
      type: object
      properties:
        _id:
          type: string
          example: 5697b31595fa09bc2e8b4586
        studio:
          type: string
          example: 53d198844f06409d418b4571
        project:
          type: string
          example: 55b6d17a36ab4620718b4570
        asset:
          type: string
          example: 568f80f07d1f4683168b4575
        name:
          type: string
          example: 13HOURS_FEATURETTE_TANTO-AND-PABLO_ENG-UK_JAN29_H264_1080p.mov
        language:
          type: string
          example: ENG
        country:
          type: string
          example: UK
        tags:
          type: array
          items:
            type: string
            example: h264
        path:
          type: string
          example: >-
            par-limited/13hours/featurette/13HOURS_FEATURETTE_TANTO-AND-PABLO_ENG-UK_JAN29_H264_1080p.mov
        verified:
          type: boolean
          example: true
        embargo:
          type: object
          properties:
            event:
              type: boolean
              example: true
            end:
              type: integer
              example: 1452783600
        warnings:
          type: array
          items: {}
        aspera:
          type: object
          properties:
            username:
              type: string
              example: pixwel
        created:
          type: integer
          example: 1452782357
        $flags:
          type: array
          items: {}
        $links:
          type: object
          properties:
            self:
              type: string
              example: //api-staging.pixwel.com/api/Files/5697b31595fa09bc2e8b4586
            project:
              type: string
              example: //api-staging.pixwel.com/api/Projects/13hours
            asset:
              type: string
              example: //api-staging.pixwel.com/api/Assets/568f80f07d1f4683168b4575
        $aspera:
          type: object
          properties:
            downloaded:
              type: boolean
              example: false
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````